******************************
***Sibling PLacebo Analysis***
***Jenni Heissel**************
***March 23, 2017*************
***Analyzing FL Data**********
******************************
******************************

use "D:\Sibling Spillover\data\b_final_placebo.dta", replace

foreach var of varlist col_ever col_degree col_degree_4yr {
	replace `var'=`var'*100
	}

set more off

sort panel testyear

**Synthetic control options - placebo
preserve
replace age_cont=age+1
	eststo clear
	eststo: reg female if placebo==1&weight223==1,  vce(cluster famid)  
	forv i=223/224 {
		eststo: reg female placebo [aw=weight`i'],  vce(cluster famid) 
		}
			esttab using C:\Users\jah970\Dropbox\Figlio_Heissel\Sibling_Spillover\Tables\TA12_summary_stats_synthetic_sibs.rtf, ///
				se(3) scalars(p) nonum nostar b(3) replace label onecell nonotes ///
				keep(_cons) nogaps noline noobs  ///
				mtitle("Synthetic Siblings" "Synthetic Control 3" "Synthetic Control 4" ///
								  "Synthetic Control 5" "Synthetic Control 6" "Synthetic Control 7" "Synthetic Control 8" "Synthetic Control 9") 
				
	foreach var of varlist age famcount frl black pcti_first L3.pcti L2.pcti L.pcti L0.pcti first_school_frl first_school_black first_school_pcti_first {
		eststo clear
		eststo: reg `var' if placebo==1&weight223==1,  vce(cluster famid) 
	forv i=223/224 {
			eststo: reg `var' placebo [aw=weight`i'],  vce(cluster famid) 
			}
				esttab using C:\Users\jah970\Dropbox\Figlio_Heissel\Sibling_Spillover\Tables\TA12_summary_stats_synthetic_sibs.rtf, ///
					se(3) scalars(p) nonum nostar b(3) append label onecell nonotes ///
					keep(_cons) nogaps noline noobs nomtitle 
				}
	eststo clear
	eststo: reg female if placebo==1&weight223==1, vce(cluster famid)
	forv i=223/224 {
		eststo: reg female if placebo==0 [aw=weight`i'],  vce(cluster famid) 
		}
			esttab using C:\Users\jah970\Dropbox\Figlio_Heissel\Sibling_Spillover\Tables\TA12_summary_stats_synthetic_sibs.rtf, ///
				se(3) nonum nostar b(3) append  onecell nonotes ///
				drop(_cons) nogaps noline  nomtitle 
restore

***OUTCOMES
*************************			
***Table 5: Estimated Effects - SYNTHETIC SIBLINGS
**ROW 1: Test scores in t=0
	eststo clear
	eststo: reg F.pct placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first  if years_rel_birth==-1&placebo==1|placebo+mom==0, vce(cluster famid)
	eststo: reg F.pct placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first [aw=weight223], vce(cluster famid)
	eststo: reg F.pct placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first [aw=weight224], vce(cluster famid)
		esttab using C:\Users\jah970\Dropbox\Figlio_Heissel\Sibling_Spillover\Tables\T10_sibling_placebo.rtf, ///
			title(Percentile rank - test score year of birth)	///
			star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
			sfmt(0) nocons compress  replace b(3) se(3)  nonumbers   label onecell ///
			mtitles("OLS" "Trajectory Match - Scores plus controls" "Trajectory Match - Scores plus controls plus neighborhood") ///
			keep(placebo) nonotes 
**ROW 2+: Repeat
foreach var of varlist repeat_later dropout jjc col_ever col_degree col_degree_4yr {
	eststo clear
	eststo: reg `var' placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first  if years_rel_birth==-1&placebo==1|placebo+mom==0&seq==1, vce(cluster famid)
	eststo: reg `var' placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first [aw=weight223], vce(cluster famid)
	eststo: reg `var' placebo female i.age famcount oldest frl black pctiL1 pctiL2 pctiL3  first_school_frl first_school_black first_school_pcti_first [aw=weight224], vce(cluster famid)
		esttab using C:\Users\jah970\Dropbox\Figlio_Heissel\Sibling_Spillover\Tables\T10_sibling_placebo.rtf, ///
			title(`var')	///
			star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ///
			sfmt(0) nocons compress  append b(3) se(3)  nonumbers   label onecell ///
			nomtitles ///
			keep(placebo) nonotes 
			}
